#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		backend		pulsaudio
#-----------------------------------------------------------------------------
Name		:	espeak
Version		:	1.48.04
Release		:	17.0.10.rel%{?dist}
Summary		:	Software speech synthesizer (text-to-speech)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://espeak.sourceforge.net

Source0		:	%{name}-%{version}-source.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	pulseaudio
#-----------------------------------------------------------------------------
%description
'%{name}' is a software speech synthesizer for English and
other languages.
 
'%{name}' produces good quality English speech. It uses a
different synthesis method from other open source TTS engines,
and sounds quite different.
It's perhaps not as natural or "smooth", but some people
may find the articulation clearer and easier to listen to
for long periods.
'%{name}' supports several languages, however in most cases
these are initial drafts and need more work to improve them.
 
It can run as a command line program to speak text from a
file or from stdin.

#-----------------------------------------------------------------------------
%files			
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}-data/intonations
%{_datadir}/%{name}-data/phondata
%{_datadir}/%{name}-data/phondata-manifest
%{_datadir}/%{name}-data/phonindex
%{_datadir}/%{name}-data/phontab
%{_datadir}/%{name}-data/*_dict
%{_datadir}/%{name}-data/mbrola_ph/*_phtrans
%{_datadir}/%{name}-data/voices/!v/*
%{_datadir}/%{name}-data/voices/asia/*
%{_datadir}/%{name}-data/voices/europe/*
%{_datadir}/%{name}-data/voices/de
%{_datadir}/%{name}-data/voices/default
%{_datadir}/%{name}-data/voices/en
%{_datadir}/%{name}-data/voices/en-us
%{_datadir}/%{name}-data/voices/es-la
%{_datadir}/%{name}-data/voices/fr
%{_datadir}/%{name}-data/voices/pt
%{_datadir}/%{name}-data/voices/mb/*
%{_datadir}/%{name}-data/voices/other/*
%{_datadir}/%{name}-data/voices/test/*
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for '%{name}'

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files for '%{name}', a software speech synthesizer.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so

#=============================================================================
%prep
%setup -q -n %{name}-%{version}-source
tar xf %{SOURCE1}

# Compile against portaudio v19 (see ReadMe)
cp -f src/portaudio19.h src/portaudio.h

#-----------------------------------------------------------------------------
#building application
%build

pushd src
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{?_smp_mflags}					\
	CXXFLAGS="$CXXFLAGS -w -std=c++98"		\
	AUDIO=%{backend}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd src
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp}							\
	%{name}-ok_addon/%{name}.1			\
	%{buildroot}%{_mandir}/man1

	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#=============================================================================
%changelog
